# ============================================================
#
# Copyright (C) 2012 by Johannes Wienke <jwienke at techfak dot uni-bielefeld dot de>
#
# This file may be licensed under the terms of the
# GNU Lesser General Public License Version 3 (the ``LGPL''),
# or (at your option) any later version.
#
# Software distributed under the License is distributed
# on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
# express or implied. See the LGPL for the specific language
# governing rights and limitations.
#
# You should have received a copy of the LGPL along with this
# program. If not, go to http://www.gnu.org/licenses/lgpl.html
# or write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The development of this software was supported by:
#   CoR-Lab, Research Institute for Cognition and Robotics
#     Bielefeld University
#
# ============================================================

from setuptools import setup
from setuptools import Command
import setuptools.command.test

from unittest import TestResult

import os
import subprocess
import sys

setup(name='rsbcv',
      version='0.1.0',
      description="""
                  Example for doing comouter vision with RSB and OpenCV.
                  """,
      author='Johannes Wienke',
      author_email='jwienke@techfak.uni-bielefeld.de',
      license="LGPLv3+",
      url="http://docs.cor-lab.org",
      keywords=["example"],
      classifiers=["Programming Language :: Python"],

      install_requires=["rsb-python>=0.10", "rstconverters>=0.10"],

      packages=['rsbcv'],

      entry_points = {
          'console_scripts': [
                 # mark-start::binary-name
                 'rsbcv-harris = rsbcv:detectHarris',
                 # mark-end::binary-name
              ]
      },
      )
